[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[PATCH] Fix the provides we look for when installing DUD (#618862)



---
 constants.py  |    2 +-
 yuminstall.py |    4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/constants.py b/constants.py
index 1ed9b55..e033966 100644
--- a/constants.py
+++ b/constants.py
@@ -86,7 +86,7 @@ else:
 
 # DriverDisc Paths
 DD_ALL = "/tmp/DD"
-DD_EXTRACTED = re.compile("/lib/modules/[^/]+/updates/DD/(?P<modulename>.+)")
+DD_EXTRACTED = re.compile("/lib/modules/[^/]+/updates/DD/(?P<moduledir>.*/)?(?P<modulename>[^/.]+).ko.*")
 DD_FIRMWARE = "/tmp/DD/lib/firmware"
 DD_RPMS = "/tmp/DD-*"
 
diff --git a/yuminstall.py b/yuminstall.py
index 5d784cd..fbb8a8d 100644
--- a/yuminstall.py
+++ b/yuminstall.py
@@ -1398,9 +1398,11 @@ debuglevel=10
 
         #We need to install the packages which contain modules from DriverDiscs
         for modPath in isys.modulesWithPaths():
+            log.debug("Checking for DUD module "+modPath)
             match = DD_EXTRACTED.match(modPath)
             if match:
-                moduleProvides.append(match.group("modulename"))
+                log.info("Requesting install of kmod-%s" % (match.group("modulename")))
+                moduleProvides.append("kmod-"+match.group("modulename"))
             else:
                 continue
 
-- 
1.6.6.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]